Subject: List of Honey Wholesaler

From: James King <[email-masked]>
Date: Sun, 22 Sep 1996 17:03:03 -0400

Recently there was a message from Marc seeking wholesale honey sources 
in the Lehigh Valley (PA).  My message to his e-mail address, 
[email-masked] was returned.  If someone knows who Marc is or if 
Marc reads this, please respond to me at the above e-mail address or 
call me, Jim King, 610-346-8408.  I have some information regarding 
honey suppliers.  Thank you.